From 89f947c215c679004e1f3fbf88751fe527e16f91 Mon Sep 17 00:00:00 2001
From: Christoph Berg <myon@debian.org>
Date: Tue, 6 Sep 2022 13:21:48 +0200
Subject: [PATCH] psql-ref.sgml: Be more specific about major versions support

The old wording only mentioned \d, but in practise even `psql -l` would
fail for pre-9.2 servers, so be more clear about the version range.
---
 doc/src/sgml/ref/psql-ref.sgml | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 186f8c506a..09e3da7c24 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -4946,20 +4946,19 @@ PSQL_EDITOR_LINENUMBER_ARG='--line '
 
     <itemizedlist>
       <listitem>
-      <para><application>psql</application> works best with servers of the same
-       or an older major version.  Backslash commands are particularly likely
+      <para><application>psql</application> works with servers of the same
+       or an older major version, back to 9.2.  Backslash commands are particularly likely
        to fail if the server is of a newer version than <application>psql</application>
-       itself.  However, backslash commands of the <literal>\d</literal> family should
-       work with servers of versions back to 9.2, though not necessarily with
-       servers newer than <application>psql</application> itself.  The general
+       itself, or older than 9.2.  The general
        functionality of running SQL commands and displaying query results
-       should also work with servers of a newer major version, but this cannot
+       should also work with servers of a other major versions, but this cannot
        be guaranteed in all cases.
       </para>
       <para>
        If you want to use <application>psql</application> to connect to several
        servers of different major versions, it is recommended that you use the
-       newest version of <application>psql</application>.  Alternatively, you
+       newest version of <application>psql</application>.  (To connect to pre-9.2 servers,
+       use <application>psql</application> 14 or earlier.)  Alternatively, you
        can keep around a copy of <application>psql</application> from each
        major version and be sure to use the version that matches the
        respective server.  But in practice, this additional complication should
-- 
2.35.1

